
From: janitor@sternwelten.at

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/mtd/chips/cfi_cmdset_0001.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/mtd/chips/cfi_cmdset_0001.c~mtd-cfi_cmdset_0001-replace-schedule_timeout-with-msleep drivers/mtd/chips/cfi_cmdset_0001.c
--- 25/drivers/mtd/chips/cfi_cmdset_0001.c~mtd-cfi_cmdset_0001-replace-schedule_timeout-with-msleep	2004-09-02 15:36:55.642678088 -0700
+++ 25-akpm/drivers/mtd/chips/cfi_cmdset_0001.c	2004-09-02 15:36:55.647677328 -0700
@@ -1437,8 +1437,7 @@ static int do_erase_oneblock(struct map_
 
 	spin_unlock(chip->mutex);
 	INVALIDATE_CACHED_RANGE(map, adr, len);
-	set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout((chip->erase_time*HZ)/(2*1000));
+	msleep(chip->erase_time / 2);
 	spin_lock(chip->mutex);
 
 	/* FIXME. Use a timer to check this, and return immediately. */
_
